2003-09-01  James Henstridge  <james@daa.com.au>

	* PKG-INFO.in: add PKG-INFO file.

	* gtkhtml2/gtkhtml2module.c: add missing prototype.

	* setup.py: increment version number.

	* configure.in: increment version number.

2003-08-29  James Henstridge  <james@daa.com.au>

	* gnome/ui.override (_wrap_gnome_about_new): if translator_credits
	is "translator_credits", set it to NULL.  Fixes bug #120901.

2003-08-28  James Henstridge  <james@daa.com.au>

	* gnome/ui.override (_wrap_gnome_about_new): allow passing None
	for translator_credits.  Default to None.  Fixes bug #120901.

2003-08-24  James Henstridge  <james@daa.com.au>

	* configure.in, setup.py: increment version number to 1.99.18.

	* gtkhtml2/gtkhtml2module.c (initgtkhtml2): same here.

	* gnome/zvtmodule.c (initzvt): same here.

	* gnome/vfsmodule.c (initvfs): same here.

	* gnome/uimodule.c (initui): same here.

	* gnomeprint/printuimodule.c (initui): same here.

	* gnomeprint/printmodule.c (init_print): same here.

	* gnome/nautilusmodule.c (initnautilus): same here.

	* gnome/gnomemodule.c (init_gnome): same here.

	* gnome/canvasmodule.c (initcanvas): same here.

	* gnome/appletmodule.c (initapplet): same here.

	* gconf/gconfmodule.c (initgconf): same here.

	* bonobo/bonobouimodule.c (initui): same here.

	* bonobo/bonobomodule.c (init_bonobo): same here.

	* bonobo/activationmodule.c (initactivation): don't convert
	exceptions to fatal errors.

	* gnome/ui.defs (connect_to_session_manager): rename connect to
	connect_to_session_manager, to get rid of conflict with
	GObject.connect.  This is incompatible, but needs to be done.
	Fixes bug #119420.

	* setup.py: import getoutput from dsextras.py, which has a win32 fix.
	(py_modules): install gnome.__init__ if libgnome or libgnomecanvas
	can build.  (fixes bug #120483).

2003-08-23  James Henstridge  <james@daa.com.au>

	Possible fix for bug #104581:

	* bonobo/activationmodule.c (initactivation): and here.

	* bonobo/bonobomodule.c (init_bonobo): save and restore the
	SIGCHLD handler here too.

	* gnome/gnome.override (_wrap_gnome_program_init): save and
	restore the SIGCHLD handler around this call.

2003-08-22  James Henstridge  <james@daa.com.au>

	* gnomeprint/print.override: fix object names imported from pango
	module.

2003-08-17  James Henstridge  <james@daa.com.au>

	* gnome/appletmodule.c (initapplet): add constants.

	* gnome/applet.defs (get_background): change return type to int,
	since the applet library doesn't register enums.
	(get_orient): similar here.

2003-08-12  James Henstridge  <james@daa.com.au>

	* bonobo/bonoboui.defs (canvas_new): rename from bonobo_canvas_new.

	* gnome/ui.defs (master_client): rename from gnome_master_client.
	(accelerators_sync): rename from gnome_accelerators_sync.
	(app_setup_toolbar): rename from gnome_app_setup_toolbar.
	(app_fill_menu): rename from gnome_app_fill_menu.
	(app_fill_menu_with_data): rename from gnome_app_fill_menu_with_data.
	(app_fill_menu_custom): rename from gnome_app_fill_menu_custom.
	(app_ui_configure_configurable): rename from
	gnome_app_configure_configurable.
	(app_fill_toolbar): rename from gnome_app_fill_toolbar.
	(app_fill_toolbar_with_data): rename from
	gnome_app_fill_toolbar_with_data.
	(app_fill_toolbar_custom): rename from gnome_app_fill_toolbar_custom.
	(app_find_menu_pos): rename from gnome_app_find_menu_pos.
	(app_install_appbar_menu_hints): rename from
	gnome_app_install_appbar_menu_hints.
	(app_install_statusbar_menu_hints): rename from
	gnome_app_install_statusbar_menu_hints.
	(app_set_progress): rename from gnome_app_set_progress.
	(app_progress_done): rename from gnome_app_progress_done.
	(client_disable_master_connection): rename from
	gnome_client_disable_master_connection.
	(interaction_key_return): rename from gnome_interaction_key_return.
	(mdi_get_app_from_view): rename from gnome_mdi_get_app_from_view.
	(mdi_get_child_from_view): rename from gnome_mdi_get_child_from_view.
	(mdi_get_menubar_info): rename from gnome_mdi_get_menubar_info.
	(mdi_get_toolbar_info): rename from gnome_mdi_get_toolbar_info.
	(mdi_get_child_menu_info): rename from gnome_mdi_get_child_menu_info.
	(popup_menu_get_accel_group): rename from
	gnome_popup_menu_get_accel_group.
	(popup_menu_attach): rename from gnome_popup_menu_attach.
	(popup_menu_do_popup): rename from gnome_popup_menu_do_popup.
	(popup_menu_do_popup_modal): rename from
	gnome_popup_menu_do_popup_modal.
	(popup_menu_append): rename from gnome_popup_menu_append.
	(scores_display): rename from gnome_scores_display.
	(scores_display_with_pixmap): rename from
	gnome_scores_display_with_pixmap.
	(GnomeScores.*): fix bad defs for methods.

	* gnome/ui.override: s/ignore_glob/ignore-glob/, so that the
	_get_type functions don't get included.

2003-08-03  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobomodule.c: Register bonobo property bag flag constants.

	* bonobo/bonobo.override, bonobo/bonobo.defs: Wrap BonoboStreamMemory.

2003-08-03  James Henstridge  <james@daa.com.au>

	* bonobo/bonoboui.defs (ui_util_pixbuf_to_xml): add missing
	definition. (bug #118031).

2003-07-21  James Henstridge  <james@daa.com.au>

	* bonobo/bonobo.override (_wrap_bonobo_main): add a custom wrapper
	for bonobo_main() that unblocks threads.  (fixes bug #112102).

	* gtkhtml2/Makefile.am: same here.

	* gnomeprint/Makefile.am: same here.

	* gconf/Makefile.am: same here.

	* bonobo/Makefile.am: same here.

	* gnome/Makefile.am: change module.so suffixes to .so.

2003-07-16  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonobo.override (_wrap_bonobo_generic_factory_main)
	(_wrap_bonobo_generic_factory_main_callback): Wrapper for
	bonobo_generic_factory_main. Also some code (disabled for now) for
	bonobo_generic_factory_main_timeout.

	* bonobo/bonobo.defs (generic_factory_main): rename
	bonobo_generic_factory_main to generic_factory_main.

	* gnome/vfsmodule.c: Added wrapper for gnome_vfs_read_entire_file().

2003-07-14  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* bonobo/bonoboui.override (_wrap_bonobo_ui_component_new):
	Override bonobo.ui.Component constructor to make the name
	parameter optional and call bonobo_ui_component_new_default() if
	no name is given.

2003-07-09  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* examples/gnomeprint/test-print.py (show_print_dialog): Improve
	example to use page ranges and copies.

	* gnomeprint/printui.defs (construct_range_custom)
	(construct_range_any, construct_range_page): Wrap these methods of
	GnomePrintDialog.

2003-04-29  Johan Dahlin  <jdahlin@async.com.br>

	* gnome/vfsmodule.c: Add exceptions
	(pygnome_vfs_result_check): New function.
	(pygnome_vfs_exception_check): New function.

	* gnome/vfs-context.c: New file, wraps GnomeVFSContext.

	* setup.py: Update for the gnome-vfs method and dsextras from pygtk.

	* dsextras.py: Remove, use the one from pygtk instead.
	
	* gnome/pygnomevfs.h: Split in two.
	
	* gnome/pygnomevfs-private.h: New file.

	* gnome/gnome-vfs-python-method.c: New file

2003-03-23  James Henstridge  <james@daa.com.au>

	* setup.py (MICRO_VERSION): same here.

	* configure.in: increment version number.

2003-03-05  Johan Dahlin  <jdahlin@async.com.br>

	* Makefile.am (EXTRA_DIST): Add applet stuff here.

	* gnome/appletmodule.c (initapplet): Call bonobo_init before
	gnome_program_module_register to avoid segfault when calling
	gnome.applet.Applet().

2003-03-05  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* gnomeprint/printmodule.c (pyprint_add_defined_constants):
	Removed the GNOME_PRINT_ERROR_* constants, since they are no
	longer of any use now that we have detailed exceptions.

2003-02-26  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* gnomeprint/print-arg-types.py: Created the
	GnomePrintReturnCodeArg to check returned gnomeprint error codes
	and raise an exception if necessary.

	* gnomeprint/printmodule.c (init_print): Register gnomeprint.Error
	and derived exceptions.
	(pygnomeprint_check_error): GnomePrintReturnCodeArg helper
	function.

	* gnomeprint/Makefile.am (.defs.c): Register the new
	GnomePrintReturnCode arg type.

	* gnomeprint/print.defs: GnomePrintContext methods' return type is
	now GnomePrintReturnCode.

2003-02-25  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* gnome/Makefile.am (.defs.c): idem.

	* gnomeprint/Makefile.am (.defs.c): idem.

	* bonobo/Makefile.am (.defs.c): Fix generation when builddir is
	inside srcdir. Notice that $(srcdir) and $(top_srcdir) can be
	relative paths, and may be no longer valid after the initial cd
	$(srcdir).

2003-02-13  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* examples/gnomeprint/test-print.py: New example of
	gnomeprint/gnomeprint.ui. Very simple.

	* Makefile.am (EXTRA_DIST): Added the new gnomeprint example.

2003-02-11  Johan Dahlin  <jdahlin@async.com.br>

	* gnomeprint/Makefile.am (gnomeprintui_la): Doh. Rename back to
	uimodule, (from printui). This should build gnomeprint.ui instead
	of gnomeprint.printui

2003-02-10  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: Fix the status output. Should be right now.

2003-02-10  James Henstridge  <james@daa.com.au>

	* bonobo/bonobo-arg.c (_pybonobo_register_boxed_types): remove
	"STATIC" from the type names.
	(_pybonobo_register_boxed_types): add special handler for
	CORBA::Object types.
	(_pybonobo_register_boxed_types): handler for Bonobo::Unknown.

2003-02-10  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* gnomeprint/print.override (_wrap_gnome_font_face_get_stdbbox)
	(_wrap_gnome_print_unit_get_identity)
	(_wrap_gnome_print_unit_get_default)
	(_wrap_gnome_print_unit_get_by_name)
	(_wrap_gnome_print_unit_get_by_abbreviation): Override these to
	get rid of const warnings.

=== gnome-python 1.99.15 ===
2003-02-08  Johan Dahlin  <jdahlin@async.com.br>

	* configure.in: increment version number (and pygtk requirement)

	* setup.py: Ditto.

	* Makefile.am (EXTRA_DIST): Add setup.py and dsextras.py

	* dsextras.py, setup.py: New files. (for distutils)

	* gnomeprint/uimodule.c: Removed, It was a dup.

	* gnomeprint/Makefile.am: s/uimodule/printuimodule/
	
	* gnome/ui.override (_wrap_gnome_icon_list_set_icon_data): Cast
	return value to avoid warning.

2003-02-05  Gustavo J. A. M. Carneiro  <gustavo@users.sourceforge.net>

	* gnomeprint/print.override (_wrap_gnome_glyphlist_bbox): Made
	both arguments optional.

	* gnomeprint/print.defs (gnome_glyphlist_new): Make it a
	constructor of GnomeGlyphList.

2003-01-04  James Henstridge  <james@daa.com.au>

	* bonobo/bonoboui.override (_wrap_bonobo_widget_new_control): make
	the second argument optional and accept None.

2003-01-28  Johan Dahlin  <jdahlin@async.com.br>

        * bonobo/bonoboui.override: Add propertybag import here

2003-01-26  Johan Dahlin  <jdahlin@async.com.br>

	* bonobo/Makefile.am (.defs.c): Register bonobo-types here too.

	* bonobo/bonobo-types.defs (EventSource): Add.

	* bonobo/bonobo.defs (bonobo_event_source_new): Fix typo.

	* bonobo/bonobo.override: Don't ignore event_source_new
	(_wrap_bonobo_event_source_client_add_listener_closure): Correct
	format args to PyArg_ParseTupleAndKeywords. Fixes #102190.

	* gnome/vfsmodule.c (pygvfs_monitor_add, pygvfs_monitor_cancel): Impl.

2003-01-21  Johan Dahlin  <jdahlin@async.com.br>

	* gnome/ui.override (_wrap_gnome_icon_list_get_icon_data): 
	(_wrap_gnome_icon_list_set_icon_data): Impl. Fixes #102557

	* gconf/gconf.override (_wrap_gconf_client_get_list): Return an
	empty list instead of None to make the return value always iterable.

2003-01-15  Johan Dahlin  <jdahlin@async.com.br>

	* gnomeprint/Makefile.am: Remove bogus include, make it buildable
	without libgnomeprintui. Register canvas from the correct directory

	* configure.in: Upped required gnomeprint and gnomeprintui version
	to 2.1.9

	* Makefile.am: protect gnomeprint sub directory bu defines

2003-01-14  Johan Dahlin  <jdahlin@async.com.br>

        * configure.in: output status about what modules that will be
        built or not.

	* gnomeprint/*: Checked in complete libgnomeprint and
	libgnomeprintui bindings from Gustavo Carneiro. Fixes #102226

	* configure.in: Added necessary configure checks.

2003-01-12  Johan Dahlin  <jdahlin@async.com.br>

	* gnome/nautilusmodule.c (initnautilus): Added constants.

	* gnome/nautilus.defs (close_window): Added.
	(set_listener_mask): Change mask from NautilusViewListenerMask to int.

	* gnome/nautilus.override (_wrap_nautilus_view_open_location_force_new_window) 
	(_wrap_nautilus_view_report_location_change) 
	(_wrap_nautilus_view_report_redirect) 
	(_wrap_nautilus_view_report_selection_change): 

2003-01-11  Johan Dahlin  <jdahlin@async.com.br>

	* bonobo/Makefile.am (_bonobomodule_la_SOURCES): Add bonobo-arg.c

	* bonobo/bonobo-arg-types.py (arg): Register BonoboArg as a
	CORBA_any type and BonoboArgType as a CORBA_TypeCode.

	* bonobo/bonobomodule.c (init_bonobo): Call _pybonobo_register_boxed_types.

	* bonobo/bonobo-arg.c (PyBonoboArg_from_value): New file for
	handling of boxed types (BonoboArg/BonoboArgType)

2003-01-01  Johan Dahlin  <jdahlin@async.com.br>

	* gnome/uimodule.c (initui): Add PAD/PAD_SMALL/PAD_BIG, fixes #102098.

2002-12-30  Johan Dahlin  <jdahlin@async.com.br>

	* gnome/vfsmodule.c (pygvfs_mime_get_icon, pygvfs_mime_set_icon) 
	(pygvfs_mime_get_description, pygvfs_mime_set_description) 
	(pygvfs_mime_can_be_executable) 
	(pygvfs_mime_set_can_be_executable): Impl.
	
2002-12-28  James Henstridge  <james@daa.com.au>

	* bonobo/bonoboui.override
	(_wrap_bonobo_ui_component_add_listener): add implementation, from
	Arjan J. Molenaar <arjanmolenaar@hetnet.nl> (bug #102091).

2002-12-27  James Henstridge  <james@daa.com.au>

	* configure.in: increment version number, and require
	pygtk-1.99.14 and pyorbit-1.99.3

2002-12-23  James Henstridge  <james@daa.com.au>

	* configure.in: get rid of the -export-dynamic from all the link
	flags.

	* autogen.sh (AUTOMAKE): use automake-1.7 in preference to 1.6.

2002-12-22  Johan Dahlin  <jdahlin@async.com.br>
        
        * example/applet: Added applet example by frb, fixes #101722.

2002-12-13  Jon K Hellan  <hellan@acm.org>

	* bonobo/bonoboui.override (_wrap_bonobo_widget_new_control):
	Accept string as well as PyCORBA_Object as first argument. Fixes
	http://bugzilla.gnome.org/show_bug.cgi?id=101052

2002-12-08  Johan Dahlin  <jdahlin@async.com.br>

	* gnome/vfsmodule.c: Added wrappers for pygvfs_get_mime_type and
	pygvfs_get_mime_type_for_data.

2002-11-20  James Henstridge  <james@daa.com.au>

	* bonobo/bonobo.override
	(_wrap_bonobo_generic_factory_new_closure): error out if the
	factory could not be created.
	(_wrap_bonobo_moniker_simple_new_closure): and here.
	(_wrap_bonobo_listener_new_closure): and here.
	(_wrap_bonobo_property_bag_new_closure): and here.
	(_wrap_bonobo_item_handler_new_closure): and here.

	* gnome/ui.defs (gnome_href_new): fix typo (bug #98137).

2002-11-16  Johan Dahlin  <jdahlin@telia.com>

        * gnome/ui.defs: Add more fields to GnomeDruidPageStandard.

2002-11-06  James Henstridge  <james@daa.com.au>

	* gnome/ui.override (_wrap_gnome_about_new): ref the about box,
	since it is a window (so the initial reference does not belong to
	us).  Fixes bug 92926, from Arjan.

2002-11-01  James Henstridge  <james@daa.com.au>

	* examples/bonobo/echo/echo-client.py: make necessary changes.

	* gnome/nautilus.override: convert to pyorbit.

	* bonobo/__init__.py: load the "Bonobo" typelib on import.

	* bonobo/activationmodule.c: initial conversion of bonobo
	activation module.

	* bonobo/bonoboui.override: convert to pyorbit.

2002-10-31  James Henstridge  <james@daa.com.au>

	* bonobo/bonobo.override: convert to pyorbit.

	* bonobo/bonobo-arg-types.py: update for use with pyorbit.

	* bonobo/Makefile.am (INCLUDES): get pyorbit includes.

	* configure.in: require pyorbit instead of orbit-python.

	* bonobo/bonobo.defs, bonobo/bonoboui.defs: add caller-owns-return
	changes from patch by Arjan (bug 93312).

2002-08-25  James Henstridge  <james@daa.com.au>

	* configure.in: increase version number.

2002-08-18  James Henstridge  <james@daa.com.au>

	* gnome-python.spec.in: update spec file to reflect new install
	location.

	* gtkhtml2/Makefile.am: install into the gtk-2.0 directory.

	* gconf/Makefile.am: install into the gtk-2.0 directory.

	* bonobo/Makefile.am: install into the gtk-2.0 directory.

	* gnome/Makefile.am: install into the gtk-2.0 directory.

	* gnome/nautilus.override (nautilus_view_create_function): change
	return value to BonoboObject.

	* bonobo/bonoboui.defs (widget_new_control_from_objref): caller
	owns return value.
	(new_child): same here.

	* gnome/ui.override (_wrap_gnome_about_new): get rid of the
	gtk_object_sink() call.  This is now handled automatically.

Sat Aug 17 19:59:02 2002  Jonathan Blandford  <jrb@gnome.org>

	* gnome/ui.defs: s/GnomeDataEdit/GnomeDateEdit

Thu Aug  1 02:05:26 2002  Jonathan Blandford  <jrb@redhat.com>

	* gnome/ui.defs (Druid): add fields

2002-07-23  James Henstridge  <james@daa.com.au>

	* gnome/vfs-dir-handle.c (pygvdir_init): add trailing NULL to
	keyword list.  Fixes bug found by micampe.

2002-07-10  James Henstridge  <james@daa.com.au>

	* configure.in: update version number.

2002-06-22  Johan Dahlin  <jdahlin@telia.com>

	* gconf/gconf.override (_wrap_gconf_client_all_dirs): Impl
	(_wrap_gconf_client_all_entries): Impl

	* gconf/gconf.defs: Clean up

2002-06-16  James Henstridge  <james@daa.com.au>

	* examples/vfs/shell.py: add example gnome-vfs program.

	* gnome/vfsmodule.c (pygnomevfs_functions): add some extra
	functions.

2002-06-15  James Henstridge  <james@daa.com.au>

	* gnome/vfs-handle.c: add file handle object support.

	* gnome/vfs-file-info.c, gnome/vfs-dir-handle.c: add
	GnomeVFSFileInfo and GnomeVFSDirectoryHandle wrappers.

	* gnome/vfsmodule.c, gnome/vfs-uri.c, gnome/pygnomevfs.h: start of
	gnome-vfs wrapper.
	(pygnome_vfs_result_check): function to set an exception based on
	the result of a GnomeVFSResult code.

2002-05-30  Matt Wilson  <msw@redhat.com>

	* configure.in: more AC_SUBST for required versions

	* gnome-python.spec.in: more subpackages, defattrs.

2002-05-28  Matt Wilson  <msw@redhat.com>

	* configure.in: AC_SUBST more required versions for use in the
	spec file.

	* gnome-python.spec.in: added bonobo, nautilus subpackages.
	re-enabled applet subpackage

2002-05-24  Matt Wilson  <msw@redhat.com>

	* autogen.sh: use $AUTOHEADER and $AUTOCONF

	* gconf/gconf.defs (GConfEntry.get_key, GConfEntry.get_value,
	GConfEntry.get_schema_name, GConfEntry.get_is_default,
	GConfEntry.get_is_writable): added

2002-05-09  James Henstridge  <james@daa.com.au>

	* bonobo/bonobo-arg-types.py (CorbaOrbArg.write_return): add
	ownsreturn method argument.
	(CorbaAnyArg.write_return): and here as well.
	(CorbaTypeCodeArg.write_return): and here.
	(CorbaPoaArg.write_return): and here.
	(CorbaPoaManagerArg.write_return): and here.
	(CorbaObjectArg.write_return): and here.

2002-05-05  James Henstridge  <james@daa.com.au>

	* gtkhtml2/Makefile.am (defsdir): same here.

	* gnome/Makefile.am (defs_DATA): same here.

	* gconf/Makefile.am (defs_DATA): same here.

	* bonobo/Makefile.am: install defs files.

2002-05-04  James Henstridge  <james@daa.com.au>

	* gconf/gconf.defs (Entry): remove fields that have been
	privatised.

	* gnome/uimodule.c (initui): register gnomeui module so that it
	gets initialised when you call gnome.init().

2002-04-29  Matt Wilson  <msw@redhat.com>

	* examples/gtkhtml2/simple-browser.py: small example for gtkhtml2

	* Makefile.am (SUBDIRS): add gtkhtml2

	* configure.in (AC_CONFIG_FILES): add gtkhtml/Makefile to output
	files
	(PKG_CHECK_MODULES): add conditional check for gtkhtml2

	* gtkhtml2/gtkhtml2.defs: new file

	* gtkhtml2/gtkhtml2module.c: new file

	* gtkhtml2/gtkhtml2.override: new file

	* gtkhtml2/Makefile.am: new file, implement gtkhtml2 bindings

2002-04-05  Johan Dahlin  <jdahlin@telia.com>

	* .cvsignore: Add gnome-python-2.0.pc

	* gnome-python-2.0.pc.in (exec_prefix): New file

2002-04-04  Johan Dahlin  <jdahlin@telia.com>

	* gnome/applet.override (_wrap_panel__applet_bonobo_factory): This
	is a function of type kwargs
	(_wrap_panel_applet_setup_menu_from_file): Impl.

2002-03-28  Johan Dahlin  <jdahlin@telia.com>

	* gconf/gconf.defs: add 
	GConfValue.get_int/get_bool/get_float/get_string

2002-03-18  James Henstridge  <james@daa.com.au>

	* bonobo/bonoboui.override: set modulename.

	* bonobo/bonobo.override: set modulename.

	* gconf/gconf.override: set modulename.

	* gnome/nautilus.override: set modulename.

	* gnome/zvt.override: set modulename.

	* gnome/canvas.override: set modulename.

	* gnome/ui.override: set modulename.

	* gnome/gnome.override: set modulename.

	* configure.in: increase required version numbers.

2002-03-10  James Henstridge  <james@daa.com.au>

	* gnome/canvasmodule.c (gnomecanvaspoints_from_value): if points
	is NULL, leave the list empty.

2002-03-06  Johan Dahlin  <jdahlin@telia.com>

	* gnome/ui.override: Make translators and documenters argument to
	GnomeAbout.__init__ optional.
	
	* gnome/ui.defs: Remove private gconf functions, and change
	GNOME_TYPE_APP_BAR to GNOME_TYPE_APPBAR.
	
	* gnome/applet.defs: Regenerate against latest libpanel-applet
	
	* gnome/applet.override (panel_applet_factory_main_closure): impl.
	(panel_applet_setup_menu): impl	
	
	* gnome/canvas.defs: Add GnomeCanvas.set_pixels_per_unit.
	
	* gnome/canvas.override: Use noargs on functions that doesn't
	require any arguments. Remove kwargs and ParseTupleAndKeyword 
	from the same functions.
	
2002-02-27  Johan Dahlin  <jdahlin@telia.com>

	* gnome/ui.defs: gnome_appbar_get_progress returns a GtkProgressBar
	now. 

	* gnome/canvas.defs: Added.

	* bonobo/activationmodule.c (wrap_ba_active_server_register): Impl.
	Based on patch by Artem Popov.

2002-02-25  Johan Dahlin  <jdahlin@telia.com>

	* bonobo/bonoboui-types.defs (Engine): Add object.

	* bonobo/bonobo.override: include bonobo-item-handler.h
	Fix order of set/get_prop args to BonoboPropertyBag.__init__
	(_wrap_bonobo_event_source_client_add_listener_closure): Impl
	(_wrap_bonobo_item_handler_new_closure): Impl	

	* bonobo/bonobo.defs: remove leading bonobo_ from a few functions
	add bonobo_item_handler_* functions

	* bonobo/bonobo-types.defs (ItemHandler): Add object

	* configure.in: bump libbonoboui version to 1.112.0

2002-02-21  Johan Dahlin  <jdahlin@telia.com>

	* gnome/ui.defs: remove two private functions

2002-02-19  James Henstridge  <james@daa.com.au>

	* bonobo/bonoboui-types.defs, bonobo/bonoboui.defs: remove
	functions and types that have been marked internal.

2002-02-09  Johan Dahlin  <jdahlin@telia.com>

	* bonobo/bonobouimodule.c: include bonobo/bonobo-ui-main.h

	* bonobo/bonobo.defs: remove bonobo_ui_preferences*

	* bonobo/bonoboui-types.defs: UI* -> UI, eg bonobo.ui.UIComponent
	-> bonobo.ui.Component.

	* bonobo/bonobomodule.c: include bonobo/bonobo-main.h

	* bonobo/bonobo.override
	(_wrap_bonobo_generic_factory_new_closure): return int, and
	initialize params to NULL
	(_wrap_bonobo_moniker_simple_new_closure): New function.
	(_wrap_bonobo_listener_new_closure): New function.
	(_wrap_bonobo_property_bag_new_closure): New function

	* bonobo/bonobo-types.defs (Listener): Add object.

	* bonobo/activationmodule.c (wrap_ba_query): Comment out unused variables.

	* gnome/gnomemodule.c: Add a prototype for pygnome_add_constants

	* gnome/uimodule.c: Add a prototype for pyui_add_constants

	* gconf/gconfmodule.c: Add a prototype for pygconf_add_constants 

	* gconf/gconf-fixes.h: Add prototypes

2002-01-31  James Henstridge  <james@daa.com.au>

	* gconf/Makefile.am (gconfmodule_la_SOURCES): include gconf-fixes.h

	* gnome/__init__.py: make gnome.init() an alias for
	gnome.program_init().

	* gnome/nautilusmodule.c (initnautilus): get rid of // comment

	* configure.in: increment version number of package and
	requirements.
	
2002-01-31  Johan Dahlin  <jdahlin@telia.com>

	* configure.in: Replace -ansi with -std=c9x

2002-01-23  Johan Dahlin  <jdahlin@telia.com>

	* gconf/gconf.override: include gconf/gconf-enum-types.h.

	* gconf/gconfmodule.c (initgconf): Remove glib debug and 
	gconf_type_init.
	    
	* gconf/enum/*: Remove.
	
	* gconf/Makefile.am: Remove enum from SUBDIRS and
	enum/gconftypebuiltins_ids.c from gconfmodule_la_SOURCES.

2002-01-22  James Henstridge  <james@daa.com.au>

	* bonobo/activationmodule.c (initactivation): make ansi C safe (no
	// comments).

2002-01-22  Johan Dahlin  <jdahlin@telia.com>

	* bonobo/activationmodule.c (initactivation): Perhaps we should call
	bonobo_activation_init AFTER we created argc and argv.

2002-01-22  James Henstridge  <james@daa.com.au>

	* bonobo/bonoboui.defs (xml_set_prop): add extra argument.

2002-01-21  Johan Dahlin  <jdahlin@telia.com>

	* gnome/gnomemodule.c (pygnome_add_defined_constants): Add a
	GNOME_PARAM* defines.

	* gnome/gnome.override (_wrap_gnome_program_init): Make it work.

2002-01-19  Johan Dahlin  <jdahlin@telia.com>

	* examples/gconf/: Added 3 examples.
	
	* gconf/: Lots of files: Initial checkin.

	* gnome/.cvsignore: Add applet.c

	* configure.in: Add check for glib (for glib-mkenums) and check
	for gconf.

	* gnome/Makefile.am (appletmodule_la): Build applet by default.

	* gnome/applet*: Add applet bindnings.

	* bonobo/bonobo.override (_wrap_bonobo_generic_factory_new_closure): 
	* bonobo/bonoboui.override (_wrap_bonobo_widget_new_control):
	Wrapped, needs more testing.

	* bonobo/bonoboui.defs (bonobo_widget_new_control): This is the
	constructor of BonoboWidget.

	* gnome/Makefile.am (nautilusmodule_la_CFLAGS): Add orbit-python's CFLAGS.

	* examples/nautilus/sample.py: Rewrite, make it a nice class
	instead of ugly functions. It's now a complete conversion of
	nautilus-sample-content-view.

	* examples/nautilus/README: Some additions

	* gnome/nautilus.override (nautilus_view_create_function): Check
	execption after PyObject_CallFunction, so they'll be catched and
	printed. Include <orbit-python.h>.

2002-01-17  James Henstridge  <james@daa.com.au>

	* bonobo/bonobouimodule.c (initui): call
	bonobo_setup_x_error_handler().

	* AUTHORS: add msw to the authors list.

2002-01-17  Johan Dahlin  <jdahlin@telia.com>

	* examples/bonobo/bonoboui/hello.py: convert
	libbonobo/samples/hello.c to python

	* examples/bonobo/bonoboui/Bonobo_Sample_Hello.xml: Needed by hello.py

	* examples/bonobo/echo/echo-client.py: add simple example

	* bonobo/bonoboui.override (_wrap_bonobo_ui_component_add_verb): wrap.
	(_wrap_bonobo_ui_component_add_verb_list): wrap.

	* bonobo/bonoboui.defs: Remove bonobo_control_set_control_frame,
	bonobo_ui_preferences_get_toolbar_relief, 
	bonobo_uipreferences_get_menubar_relief.

2002-01-16  Johan Dahlin  <jdahlin@telia.com>

	* bonobo/bonoboui-types.defs (Window): My parent is GtkWindow, not
	GtkBin

	* bonobo/__init__.py: Remove try except clause until it's a bit
	more stable and tested.

	* bonobo/bonobo-arg-types.py (CorbaObjectArg.write_return):
	s/append/write/ to make it work. Change it slightly to avoid
	warnings, We don't need to cast to the corba object type, just
	CORBA_Object will do just fine.

	* bonobo/bonobo.override: include bonobo-presist-client.h and
	ignore bonobo_config_*.

	* bonobo/Makefile.am: Add activationmodule.

	* configure.in: check for bonobo-activation.

2002-01-16  James Henstridge  <james@daa.com.au>

	* gnome/nautilus.override: also import BonoboControl

	* bonobo/bonobo-arg-types.py: plug in ORBit argument types.

	* bonobo/bonoboui.override: include and initialise orbit-python.

	* bonobo/bonobo.override: include and initialise orbit-python.

	* gnome/nautilus.override: import BonoboObject type from bonobo
	module.

	* gnome/nautilus.defs: get rid of BonoboObject def.

	* configure.in (have_orbit_python): check for orbit-python.
	(BUILD_GNOMEUI): conditionalise building of gnome.ui on whether we
	have orbit-python.
	(BUILD_BONOBO): and bonobo
	(BUILD_BONOBOUI): and bonobo.ui
	(BUILD_NAUTILUS): and gnome.nautilus

2002-01-15  Johan Dahlin  <jdahlin@telia.com>

	* bonobo/bonobo-types.defs: Add header so emacs understands that
	this is a scheme file and highlights it correctly.

	* bonobo/bonoboui-types.defs: Add a few extra objects. Now we
	require bonobo cvs.

	* bonobo/bonoboui.defs, bonobo/bonobo.defs: Set constructors, add
	some new functions, fix function names, so they don't start with
	bonobo_

	* bonobo/bonobo.override: ignore functions when it exists similar
	functions with closures.

	* bonobo/bonoboui.override: Ignore bonobo_ui_node_*
	import more types from gtk and canvas

2002-01-15  James Henstridge  <james@daa.com.au>

	* gnome/ui.override: import DockItem type.

	* gnome/Makefile.am (.defs.c): pull in type defs from bonobo.

	* bonobo/bonobomodule.c (init_bonobo): don't initialise pygtk.

	* bonobo/bonobo.override: this module doesn't require pygtk.

	* bonobo/bonobo-arg-types.py (arg): add CORBA_long, CORBA_char*
	and CORBA_float handlers.
	(CorbaEnvArg.write_param): stub handler for CORBA_Objects (just a
	stub at the moment).

2002-1-14  Johan Dahlin  <jdahlin@telia.com>

	* bonobo/bonoboui-types.defs: Add BonoboWindow.

	* bonobo/Makefile.am: s/CLEAN_FILES/CLEANFILES/

	* bonobo/.cvsignore: Add __init__.pyc

2002-01-14  James Henstridge  <james@daa.com.au>

	* bonobo/Makefile.am (.defs.c): load the bonobo-arg-types.py arg
	handler file when generating C code, in order to handle CORBA
	environments.

	* bonobo/bonobo-arg-types.py: new file containing arg type code
	for handling CORBA environments and exception catching.

2002-01-13  Johan Dahlin  <jdahlin@telia.com>

	* gnome/gnomemodule.c (init_gnome): call gnome_program_module_register.

	* gnome/gnome.override (_wrap_gnome_program_init): Add, but it's
	still broken.

	* gnome/gnome.defs (program_init): Add GnomeProgram.__init__

2002-01-12  Johan Dahlin  <jdahlin@telia.com>

	* bonobo/__init__.py: Add.

	* examples/nautilus/README: 
	* examples/nautilus/Nautilus_View_pysample.server: 
	* examples/nautilus/sample.py: 
	* configure.in: 
	* gnome/Makefile.am: 
	* gnome/nautilus.defs: 
	* gnome/nautilus.override: 
	* gnome/nautilusmodule.c: Initial import of nautilus module.

2002-01-12  James Henstridge  <james@daa.com.au>

	* bonobo/bonobouimodule.c (initui): remember to init pygobject.

	* bonobo/Makefile.am (uimodule_la_SOURCES): list the right source
	file (duh).

	* bonobo/bonobo.override (ignore): ignore
	bonobo_setup_x_error_handler, as it isn't in libbonobo.

	* bonobo/Makefile.am (uimodule_la_LIBADD): update makefile.

	* bonobo/bonobouimodule.c, bonobo/bonoboui.override: same here.

	* bonobo/bonobomodule.c, bonobo/bonobo.override: fill in skels.

2002-01-11  James Henstridge  <james@daa.com.au>

	* bonobo/*.defs: add defs.

2002-01-03  Johan Dahlin  <jdahlin@telia.com>

	* gnome/gnomemodule.c (init_gnome): Add constants.

	* gnome/ui.override, gnome/ui.defs, gnome/Makefile.am: 
	  gnome/.cvsignore, configure.in: Initial libgnomeui support.

2001-12-24  James Henstridge  <james@daa.com.au>

	* configure.in: increment version number, and put version numbers
	at the top of the file as m4 defines.
	Require python 2.2 final

2001-11-30  Matt Wilson  <msw@redhat.com>

	* gnome-python.spec.in: added zvt submodule

2001-11-28  Matt Wilson  <msw@redhat.com>

	* gnome/Makefile.am: rework to use an old style suffix rule
	instead of a pattern rule to be more compatible.  Removed the
	disthook that removed generated .c files and marked those files as
	nodist instead.
	
2001-11-28  Matt Wilson  <msw@redhat.com>

	* gnome/Makefile.am (%.c): rework the generic .c rule to place
	generated files into builddir
	(DISTCLEANFILES): added generated files to clean up

	* configure.in: check for libzvt, build zvt binding if it exists.

	* gnome/Makefile.am, zvt.defs, zvt.override, zvtmodule.c: add
	start of new zvt binding.

	* examples/zvt/zvt-demo.py: zvt demo.

	* Makefile.am (EXTRA_DIST): add zvt-demo.py

2001-11-27  Matt Wilson  <msw@redhat.com>

	* gnome-python.spec.in (BuildRequires): require libgnome-devel

	* gnome/gnome.defs (help_display, help_display_with_doc_id,
	help_display_desktop): modified to use new API.

	* configure.in (LIBGNOME_VERSION): grab version, increase
	libgnome2 requirement to 1.107.0.

2001-11-26  Matt Wilson  <msw@redhat.com>

	* configure.in: 1.99.5

	* gnome-python.spec.in (%files canvas): include __init__.py so
	that we don't need to require the gnome-python base package.

	* gnome/__init__.py: catch import errors for the base gnome
	module.  This will allow one to use libgnomecanvas without using
	libgnome.

2001-10-31  James Henstridge  <james@daa.com.au>

	* gnome/Makefile.am (%.c): adjust makefile rule so that it gets
	triggered correctly.  Is the %.c syntax a GNU make'ism?

	* configure.in (minver): require python 2.2b1.

2001-10-29  Matt Wilson  <msw@redhat.com>

	* gnome/gnome.defs: nuke all functions from gnome-preferences.h,
	they are no more.

2001-10-26  Matt Wilson  <msw@redhat.com>

	* configure.in (AC_INIT): change version to 1.99.4
	(PKG_CHECK_PROG): change pygtk requirement to 1.99.4 
	(AM_PATH_GTK_2_0): bump to 1.3.10 

2001-10-18  Matt Wilson  <msw@redhat.com>

	* gnome-python.spec.in: no longer obsoletes pygnome.

	* gnome/Makefile.am (EXTRA_DIST): fix EXTRA_DIST for new filenames
	too...

2001-10-17  Matt Wilson  <msw@redhat.com>

	* gnome/canvas.override: renamed from gnomecanvas.override to be
	consistent with naming

	* gnome/canvas.defs: likewise

	* gnome/Makefile.am (canvasmodule_la_SOURCES): modify deps to match

2001-10-16  Matt Wilson  <msw@redhat.com>

	* gnome/gnomemodule.c: start of gnome binding. (needs lots of
	work, things are not where they were in old pygnome, etc...)

	* gnome/gnome.override: start of gnome binding.

	* gnome/gnome.defs: start of gnome binding.

	* gnome/__init__.py: import the toplevel gnome binding into here.

	* configure.in: check for gnome-2.0

	* gnome/Makefile.am (pygnomeexec_LTLIBRARIES): add the start of
	the gnome binding, write a generic rule for generated .c files.

2001-10-15  Matt Wilson  <msw@redhat.com>

	* gnome-python.spec.in (%files): added __init__ files to
	gnome-python main package

2001-10-11  Matt Wilson  <msw@redhat.com>

	* gnome-python.spec.in (Name): renamed to gnome-python2, added
	defattr

	* configure.in (AC_INIT): bump to 1.99.3

2001-10-10  Matt Wilson  <msw@redhat.com>

	* gnome/gnomecanvas.override (gnomecanvasaffine_to_value)
	(gnomecanvasaffine_from_value): added functions to go to/from
	affines
	(_wrap_gnome_canvas_new): override canvas constructor to take an
	optional 'aa' parameter to create antialiased canvases.
	(_wrap_gnome_canvas_w2c): implemented
	(_wrap_gnome_canvas_w2c_d): implemented
	(_wrap_gnome_canvas_c2w): implemented
	(_wrap_gnome_canvas_window_to_world): implemented
	(_wrap_gnome_canvas_world_to_window): implemented
	(_wrap_gnome_canvas_item_affine_absolute): implemented
	(_wrap_gnome_canvas_item_affine_relative): implemented
	(_wrap_gnome_canvas_item_i2c_affine): implemented
	(_wrap_gnome_canvas_item_i2w_affine): implemented
	(_wrap_gnome_canvas_w2c_affine): implemented

	* gnome/gnomecanvas.defs (GnomeCanvasItem.affine_relative): bound
	(GnomeCanvasItem.affine_absolute): bound
	(GnomeCanvasItem.scale): defined (not used)
	(GnomeCanvasItem.rotate): defined (not used)
	(GnomeCanvasItem.raise): bound
	(GnomeCanvasItem.lower): bound
	(GnomeCanvasItem.i2w_affine): bound
	(GnomeCanvasItem.i2c_affine): bound
	(GnomeCanvasItem.reparent): bound
	(GnomeCanvasItem.grab_focus): bound
	(GnomeCanvasItem.request_update): defined (not used)
	(gnome_canvas_new_aa): bound
	(GnomeCanvas.w2c_affine): bound
	(GnomeCanvas.w2c) bound
	(GnomeCanvas.w2c_d): bound
	(GnomeCanvas.c2w): bound
	(GnomeCanvas.window_to_world): bound
	(GnomeCanvas.world_to_window): bound
	(GnomeCanvas.get_color): bound
	(GnomeCanvas.get_color_pixel): bound
	(GnomeCanvas.set_dither): bound
	(GnomeCanvas.get_dither): bound	

2001-10-09  James Henstridge  <james@daa.com.au>

	* configure.in (minver): increase required pygtk version to 1.99.3

	* gnome-python.spec.in: few small changes.  There won't be a
	libglade module in gnome-python, as libglade2 autoloads support
	for things like gnome or bonobo.

	* gnome/Makefile.am (gnomecanvas.c): call --register on the
	-types.defs files, to reduce code generation time.

2001-10-08  Matt Wilson  <msw@redhat.com>

	* Makefile.am (EXTRA_DIST): added the example and spec file to
	EXTRA_DIST
	(dist-hook): added a dist-hook to copy the spec file into the dist

	* .cvsignore: add gnome-python.spec

	* gnome/Makefile.am: use the defsdir in the pkgconfig, not
	hardcoded to the way things are in CVS.  Caveat: you must install
	the defs file before building, but that's OK as we needed codegen
	from pygtk anyway.

	* gnome-python.spec.in: added spec file based off the old pygtk
	one.

	* configure.in: note the versions of gtk, libgnomecanvas, and
	pygtk for use in the spec file.  Renamed the defsdir variable
	PYGTK_DEFSDIR.  Added gnome-python.spec to AC_OUTPUT.

	* gnome/gnomecanvas.override (init): use the new type import
	functionality of codegen to get the types we need.

2001-10-04  Matt Wilson  <msw@redhat.com>

	* gnome/gnomecanvas.override (init): convert to PyTypeObject for
	the objects we're importing from gobject and gtk.

2001-10-01  Matt Wilson  <msw@redhat.com>

	* configure.in: copy version check for alpha versions of python
	from pygtk

2001-09-25  Matt Wilson  <msw@redhat.com>

	* gnome/gnomecanvas.override (_wrap_gnome_canvas_item_i2w):
	implemented GnomeCanvasItem.i2w
	(_wrap_gnome_canvas_item_w2i): implemented GnomeCanvasItem.w2i

	* gnome/gnomecanvas.defs (GnomeCanvasItem.i2w): bound
	(GnomeCanvasItem.w2i): bound

2001-09-24  Matt Wilson  <msw@redhat.com>

	* gnome/gnomecanvas.override
	(_wrap_gnome_canvas_get_scroll_offsets): implemented
	GnomeCanvas::get_scroll_offsets
	(_wrap_gnome_canvas_get_scroll_region): implemented
	GnomeCanvas::get_scroll_region

	* gnome/gnomecanvas.defs (GnomeCanvas::get_item_at): bound
	(GnomeCanvas::update_now): bound
	(GnomeCanvas::get_scroll_offsets): bound
	(GnomeCanvas::scroll_to): bound
	(GnomeCanvas::set_pixels_per_unit): bound
	(GnomeCanvas::get_scroll_region): bound
	(GnomeCanvas::set_scroll_region): bound
	(GnomeCanvasItem::show): bound
	(GnomeCanvasItem::hide) bound

2001-09-22  Matthew Wilson  <msw@redhat.com>

	* gnome/gnomecanvas.defs (GnomeCanvasItem::raise_to_top): added
	binding
	(GnomeCanvasItem::lower_to_bottom): added binding
	(GnomeCanvasItem::get_bounds): added binding

	* gnome/gnomecanvas.override (_wrap_gnome_canvas_item_set): verify
	that kwargs isn't NULL before iterating over them
	(_wrap_gnome_canvas_item_new): likewise
	(_wrap_gnome_canvas_item_get_bounds): implemented
	GnomeCanvasItem::get_bounds

2001-09-21  Matthew Wilson  <msw@redhat.com>

	* examples/canvas/canvas-example.py: ported canvas-example to new
	binding, added it to new examples directory

	* gnome/gnomecanvas.override (_wrap_gnome_canvas_item_set):
	created new binding to set properties of items
	(init): get the short names of the parent classes from gtk._gtk

	* gnome/gnomecanvas.defs (add_item): change name of method to
	"add" to match old bindings
	(set_scroll_region): added binding
	(set): added binding
	(move): added binding

2001-09-21  James Henstridge  <james@daa.com.au>

	* gnome/canvasmodule.c (gnomecanvaspoints_from_value): function to
	convert a value holding a GnomeCanvasPoints struct to a python
	object.
	(gnomecanvaspoints_to_value): the other direction.
	(initcanvas): register functions as handlers for
	GNOME_TYPE_CANVAS_POINTS boxed type.

	* gnome/gnomecanvas.defs: change gnome_canvas_item_new to
	GnomeCanvasGroup.add_item().
	Add more object defs.

	* gnome/gnomecanvas.override (_wrap_gnome_canvas_item_new): get
	gnome_canvas_item_new to use the GParamSpecs.

2001-09-20  Johan Dahlin  <zilch.am@home.se>

	* autogen.sh: 
	* gnome/Makefile.am: 
	* gnome/canvasmodule.c:
	* gnome/gnomecanvas.defs:
	* gnome/gnomecanvas.override: Updated

2001-09-14  James Henstridge  <james@daa.com.au>

	* gnome/*: integrate Zilch's gnome.canvas module.

2001-09-14  James Henstridge  <james@daa.com.au>

	* gnome/__init__.py: empty for now.

	* gnome/Makefile.am: small makefile.am that just installs
	__init__.py

	* Makefile.am: small makefile.am that just recurses into gnome/

	* configure.in: add configure.in with rules to build
	libgnomecanvas wrapper.

